=== debian/changelog ===
x264 (2:0.148.2643+git5c65704-1) unstable; urgency=medium

  [ Rico Tzschichholz ]
  * Update to new stable upstream
  * Imported Upstream version 0.148.2643+git5c65704
  * Refresh properly_detect_x32.patch

  [ Sebastian Ramacher ]
  * debian/confflags: No longer filter -g since we have automatic dbgsym
    packages now.

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 18 Jan 2016 18:36:02 +0100

x264 (2:0.148.2601+gita0cd7d3-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 01 Nov 2015 19:42:10 +0100

x264 (2:0.148.2601+gita0cd7d3-2) experimental; urgency=medium

  * Pass --disable-asm while building on mips, mipsel, mips64el
    (Closes: #802550)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 21 Oct 2015 12:27:32 +0200

x264 (2:0.148.2601+gita0cd7d3-1) experimental; urgency=medium

  * Update to new stable upstream
  * Imported Upstream version 0.148.2601+gita0cd7d3
  * Update debian/control for soname bump
  * Refresh patches and drop aarch64 build-fix

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 14 Oct 2015 20:26:50 +0200
