=== debian/control ===
Source: x264
Section: libs
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Reinhard Tartler <siretart@tauware.de>,
 Fabian Greffrath <fabian+debian@greffrath.com>,
 Rico Tzschichholz <ricotz@ubuntu.com>
Build-Depends:
 debhelper (>= 9.20141010),
 autotools-dev,
 dpkg-dev (>= 1.17.14),
 libavformat-dev (>= 6:9) <!stage1>,
 libffms2-dev <!stage1>,
 libgpac-dev (>= 0.5.0+svn4288~) <!stage1>,
 yasm [any-i386 any-amd64]
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/x264.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/x264.git
Homepage: http://www.videolan.org/developers/x264.html

Package: x264
Section: graphics
Architecture: any
Build-Profiles: <!stage1>
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: video encoder for the H.264/MPEG-4 AVC standard
 x264 is an advanced commandline encoder for creating H.264 (MPEG-4 AVC)
 video streams.
 .
 x264 supports the following features:
  * CABAC (context-based adaptive binary arithmetic coding) and CAVLC
    (context-based adaptive variable length coding
  * multiple reference frames
  * 16x16, 8x8 and 4x4 intra-predicted macroblocks
  * all P-frame inter-predicted macroblock types
  * B-Inter-predicted macroblock types from 16x16 down to 8x8
  * rate distortion optimization
  * multiple rate control modes (constant quantizer, constant quality, single
    or multipass ABR with the option of VBV)
  * scene cut detection
  * adaptive B-frame placement, with the option of keeping B-frames as
    references / arbitrary frame order
  * 8x8 and 4x4 adaptive spatial transform (high profile)
  * lossless mode (high 4:4:4 profile)
  * custom quantization matrices (high profile)
  * parallel encoding on multiple CPUs
  * interlaced streams

Package: libx264-148
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: x264 video coding library
 libx264 is an advanced encoding library for creating H.264 (MPEG-4 AVC)
 video streams.
 .
 This package contains the libx264 shared library.

Package: libx264-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libx264-148 (= ${binary:Version}),
 ${misc:Depends}
Description: development files for libx264
 libx264 is an advanced encoding library for creating H.264 (MPEG-4 AVC)
 video streams.
 .
 This package contains the static library and headers used to build programs
 that use libx264.
