## x264 0.148.2699+gita5e06b9

=== debian/changelog ===
x264 (2:0.148.2699+gita5e06b9-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Ondřej Nový <onovy@debian.org>  Wed, 03 Aug 2016 16:14:04 +0200

x264 (2:0.148.2699+gita5e06b9-1) unstable; urgency=medium

  * Update to new stable upstream
  * Imported Upstream version 0.148.2699+gita5e06b9

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 14 Jun 2016 08:20:58 +0200

x264 (2:0.148.2668+gitfd2c324-1) unstable; urgency=medium

  [ Sebastian Ramacher ]
  * debian/rules: Update comment.
  * debian/control.in:
    - Update Vcs-*.
    - Bump Standards-Version.

  [ Rico Tzschichholz ]
  * Update to new stable upstream
  * Imported Upstream version 0.148.2668+gitfd2c324

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 12 May 2016 11:12:16 +0200
