## x264 0.148.2708+git86b7198

=== debian/changelog ===
x264 (2:0.148.2708+git86b7198-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Ondřej Nový <onovy@debian.org>  Fri, 07 Oct 2016 23:52:43 +0200

x264 (2:0.148.2708+git86b7198-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * autopkgtest: Use ffmpeg/ffprobe instead of deprecated avconv/avprobe
  * autopkgtest: Use $ADTTMP instead of own tmp directory
  * autopkgtest: Check if produced file is H.264

  [ Rico Tzschichholz ]
  * Update to new stable upstream
  * Imported Upstream version 0.148.2708+git86b7198

  [ Helmut Grohne ]
  * Fix FTCBFS: Pass cross flags to configure. (Closes: #838317)

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 21 Sep 2016 22:59:37 +0200
