=== debian/tests/control ===
Tests: encode-testimage
Depends: ffmpeg, x264
Restrictions: allow-stderr
