## x264 0.148.2748+git97eaef2

=== debian/changelog ===
x264 (2:0.148.2748+git97eaef2-1) unstable; urgency=medium

  * Update to new stable upstream
  * New upstream version 0.148.2748+git97eaef2
  * Regenerate manpage

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 25 Jan 2017 10:40:48 +0100

x264 (2:0.148.2728+git4d5c8b0-1) unstable; urgency=medium

  * Update to new stable upstream
  * New upstream version 0.148.2728+git4d5c8b0

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Thu, 08 Dec 2016 09:36:51 +0100
