## x264 0.148.2795+gitaaa9aa8

=== debian/changelog ===
x264 (2:0.148.2795+gitaaa9aa8-1) unstable; urgency=medium

  [ Rico Tzschichholz ]
  * Update to new stable upstream
  * New upstream version 0.148.2795+gitaaa9aa8
  * Regenerate manpage
  * Update copyright years

  [ Sebastian Ramacher ]
  * debian/control: Bump Standards-Version.

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Wed, 28 Jun 2017 08:31:44 +0200
