## x264 0.152.2854+gite9a5903

=== debian/changelog ===
x264 (2:0.152.2854+gite9a5903-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 19 Jan 2018 12:36:28 +0100

x264 (2:0.152.2854+gite9a5903-1) experimental; urgency=medium

  [ Rico Tzschichholz ]
  * Update to new stable upstream
  * New upstream version 0.152.2854+gite9a5903
  * Require nasm (>= 2.13) instead of yasm
  * Update debian/control for soname bump
  * Regenerate manpage

  [ Sebastian Ramacher ]
  * debian/control:
    - Bump Standards-Version.
    - Remove obsolete Pre-Depends.

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 05 Jan 2018 12:14:48 +0100
