=== debian/control ===
--- 
+++ 
@@ -7,14 +7,13 @@
  Fabian Greffrath <fabian+debian@greffrath.com>,
  Rico Tzschichholz <ricotz@ubuntu.com>
 Build-Depends:
- debhelper (>= 9.20141010),
- autotools-dev,
+ debhelper (>= 9.20160115),
  dpkg-dev (>= 1.17.14),
  libavformat-dev (>= 6:9) <!stage1>,
  libffms2-dev <!stage1>,
  libgpac-dev (>= 0.5.0+svn4288~) <!stage1>,
- yasm [any-i386 any-amd64]
-Standards-Version: 4.0.0
+ nasm (>= 2.13) [any-i386 any-amd64]
+Standards-Version: 4.1.3
 Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/x264.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/x264.git
 Homepage: http://www.videolan.org/developers/x264.html
@@ -49,10 +48,9 @@
   * parallel encoding on multiple CPUs
   * interlaced streams
 
-Package: libx264-148
+Package: libx264-152
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
@@ -67,7 +65,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libx264-148 (= ${binary:Version}),
+ libx264-152 (= ${binary:Version}),
  ${misc:Depends}
 Description: development files for libx264
  libx264 is an advanced encoding library for creating H.264 (MPEG-4 AVC)
