=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
                    debian/libx264-dev.install
 
 %:
-	dh $@ --parallel --with autotools_dev
+	dh $@ --parallel
 
 .PHONY: debian/control
 debian/control:
