=== debian/changelog ===
x264 (2:0.155.2917+git0a84d98-2~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.
  * Disable automatic dbg packages.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 28 Dec 2018 13:51:39 -0800

x264 (2:0.155.2917+git0a84d98-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 27 Sep 2018 22:03:40 +0200

x264 (2:0.155.2917+git0a84d98-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Change Format URL to correct one
  * d/control: Set Vcs-* to salsa.debian.org
  * d/changelog: Remove trailing whitespaces

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP

  [ Rico Tzschichholz ]
  * Update to new stable upstream
  * New upstream version 0.155.2917+git0a84d98
  * Drop custom 10bit build, upstream supports this as runtime option now
  * Update debian/control for soname bump
  * Regenerate manpage
  * Update copyright years

  [ Sebastian Ramacher ]
  * debian/{rules,confflags}:
    - Use dpkg include for architecture variables.
    - Fix dh_install --list-missing warning.
    - Remove cruft.
    - Handle CPPFLAGS.
  * debian/patches: Export x264_stack_align.
  * debian/: Bump debhelper compat to 11.
  * debian/control:
    - Drop obsolete dpkg-dev B-D.
    - Bump Standards-Version.

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 24 Aug 2018 17:25:59 +0200
