=== debian/control ===
--- 
+++ 
@@ -1,21 +1,21 @@
 Source: x264
 Section: libs
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Reinhard Tartler <siretart@tauware.de>,
  Fabian Greffrath <fabian+debian@greffrath.com>,
  Rico Tzschichholz <ricotz@ubuntu.com>
 Build-Depends:
- debhelper (>= 9.20160115),
- dpkg-dev (>= 1.17.14),
+ debhelper (>= 11),
  libavformat-dev (>= 6:9) <!stage1>,
  libffms2-dev <!stage1>,
  libgpac-dev (>= 0.5.0+svn4288~) <!stage1>,
  nasm (>= 2.13) [any-i386 any-amd64]
-Standards-Version: 4.1.3
-Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/x264.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/x264.git
+Standards-Version: 4.2.1
+Vcs-Git: https://salsa.debian.org/multimedia-team/x264.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/x264
 Homepage: http://www.videolan.org/developers/x264.html
 
 Package: x264
@@ -48,7 +48,7 @@
   * parallel encoding on multiple CPUs
   * interlaced streams
 
-Package: libx264-152
+Package: libx264-155
 Architecture: any
 Multi-Arch: same
 Depends:
@@ -65,7 +65,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libx264-152 (= ${binary:Version}),
+ libx264-155 (= ${binary:Version}),
  ${misc:Depends}
 Description: development files for libx264
  libx264 is an advanced encoding library for creating H.264 (MPEG-4 AVC)
