=== debian/changelog ===
x264 (2:0.160.3011+gitcde9a93-3) unstable; urgency=medium

  * changelog debhelper.

 -- Hu Feng <hufeng@unionteh.com>  Thu, 25 Aug 2022 15:49:57 +0800

x264 (2:0.160.3011+gitcde9a93-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport upstream fix to support GPAC >= 0.8.0. (Closes: #975441)

 -- Adrian Bunk <bunk@debian.org>  Thu, 15 Jul 2021 15:06:22 +0300

x264 (2:0.160.3011+gitcde9a93-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable
  * debian/rules: Fix awk invocation to work with make 4.2 and 4.3 (Closes:
    #966241)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 26 Jul 2020 16:52:56 +0200

x264 (2:0.160.3011+gitcde9a93-1) experimental; urgency=medium

  * Update to new stable upstream
  * New upstream version 0.160.3011+gitcde9a93
  * Update debian/control for soname bump
  * Regenerate manpage

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Mon, 13 Jul 2020 21:29:33 +0200

x264 (2:0.159.2999+git296494a-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 12 Jul 2020 18:46:44 +0200

x264 (2:0.159.2999+git296494a-1) experimental; urgency=medium

  [ Fabian Greffrath ]
  * Remove myself from Uploaders

  [ Rico Tzschichholz ]
  * Update to new stable upstream
  * New upstream version 0.159.2999+git296494a
  * Drop upstreamed "Export x264_stack_align" patch
  * Update debian/control for soname bump
  * Regenerate manpage

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Sebastian Ramacher ]
  * debian/control:
    - Bump debhlper compat to 13
    - Bump Standards-Version
    - Set RRR: no
  * debian/copyright: Bump copyright years
  * debian/rules: Fix awk invocation

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sun, 21 Jun 2020 15:52:08 +0200
